const analyticsPageEvents = Object.freeze({
    ENTRY: 'ENTRY',
    EVENT: 'EVENT'
});

// GA Constants
const GaEvents = Object.freeze({
    GENERIC_EVENT: 'event',
    PAGE_VIEW_EVENT: 'logPageview'
});

const GaCategories = Object.freeze({
    API_RESPONSE: 'Api_Response',
    EVOX: 'Evox'
});

const GaActions = Object.freeze({
    RESULT: 'Result',
    CLICKED: 'Clicked',
    VIF: 'vif',
    SUBMITTED: 'Submitted'
});

const GaLabels = Object.freeze({
    SUCCESS: 'Success',
    ERROR: 'Error',
    LICENSE_PLATE_LOOKUP: 'License_Plate_Look_Up',
    VIN_LOOKUP: 'Vin_Look_Up',
    ADDRESS_LOOKUP: 'Address_Look_up'
});

const ValueToLogTypes = Object.freeze({
    LAST_5: 'last_5'
});

export { analyticsPageEvents, GaCategories, GaActions, GaLabels, GaEvents, ValueToLogTypes };
